Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Bitdefender Installation eror

  1. #1

    Default Bitdefender Installation eror

    I tried installing Bitdefender for unices 64 bit into 11.2 Opensuse and i keep getting this Message: error: can't create transaction lock on /var/lib/rpm/__db.000 (Permission denied)
    Could not complete the installation of the package, aborting.


    Any help on what i did wrong would be greatly appreciated.

  2. #2
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Default Re: Bitdefender Installation eror

    Repo database might be corrupt. Try rebuilding the repository database.
    As root, do the foll:
    Code:
    # rm -f /var/lib/rpm/__db.*
    # rpmdb --rebuilddb

    Have a read at:
    SDB:RPM database corrupted - openSUSE
    SDB:Rpm - The package manager of SuSE Linux - openSUSE

    Linux User 483705 @ http://counter.li.org/

  3. #3

    Default Re: Bitdefender Installation eror

    Quote Originally Posted by zmdmw52 View Post
    Repo database might be corrupt. Try rebuilding the repository database.
    As root, do the foll:
    Code:
    # rm -f /var/lib/rpm/__db.*
    # rpmdb --rebuilddb

    Have a read at:
    SDB:RPM database corrupted - openSUSE
    SDB:Rpm - The package manager of SuSE Linux - openSUSE


    I tried this fix and this is what i got.



    primal@linux-g0zs:~> rm -f /var/lib/rpm/__db.*
    primal@linux-g0zs:~> rpmdb --rebuilddb
    error: can't create transaction lock on /var/lib/rpm/__db.000 (No such file or directory)




    This is how i tried to install.

    chmod +x BitDefender-Antivirus-Scanner-7.6-4.linux-gcc4x.amd64.rpm.run

    ./BitDefender-Antivirus-Scanner-7.6-4.linux-gcc4x.amd64.rpm.run

    both commands were done as root as everything preceded correctly until this.


    Please enter "accept" if you agree to the License Agreement.

    Enter anything else if you don't agree to the terms in the License Agreement.

    The installation process will stop.

    accept

    Installing BitDefender Antivirus Scanner v7.6.4 ...

    warning: bitdefender-scanner-7.6-4.x86_64.rpm: Header V4 DSA signature: NOKEY, key ID 0ec4fe05

    error: can't create transaction lock on /var/lib/rpm/__db.000 (No such file or directory)

    Could not complete the installation of the package, aborting.

    primal@linux-g0zs:~/Desktop>


    I get the same results under Gnome and KDE.

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Bitdefender Installation eror

    You do know that you don't really need this application in Linux?!
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Bitdefender Installation eror

    Quote Originally Posted by caf4926 View Post
    You do know that you don't really need this application in Linux?!
    Indeed and I quote myself:

    Quote Originally Posted by TaraIkeda View Post
    Truth be told Antiuvirus is a waste of time in linux, firstly most virus clients scan for windows viruses and there is not a windows virus I am aware of that has any devastating effect on linux.
    Secondly even if there are a few viruses for linux they are easy enough to avoid, keep to the main repositories for your distro and avoid certain third party packages if possible.
    But most third party packages you may find are unlikely harmful, if you are extra unsure just dont download them.
    Seriously the only real worry I would have is if you share files via email or run a mailserver with windows users.
    But careful habits is the real way to avoid any security issues, the best way to keep clean is not to be stupid.
    https://features.opensuse.org/308357

  6. #6
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Default Re: Bitdefender Installation eror

    Quote Originally Posted by Bajan74 View Post
    I tried this fix and this is what i got.

    primal@linux-g0zs:~> rm -f /var/lib/rpm/__db.*
    primal@linux-g0zs:~> rpmdb --rebuilddb
    error: can't create transaction lock on /var/lib/rpm/__db.000 (No such file or directory)
    Try above cmds as root.

    If you are still unable to install BitDefender, there is also Clam AV available for Linux. This has a KDE GUI front-end also, IIRC.
    Webpin
    -CLamAV

    You do know that you don't really need this application in Linux?!
    Anti-virus applications can be useful for Linux users who also have Windows installed - to check Windows files/folders for viruses.
    Linux User 483705 @ http://counter.li.org/

  7. #7

    Default Re: Bitdefender Installation eror

    Quote Originally Posted by zmdmw52 View Post
    [FONT=Arial]Anti-virus applications can be useful for Linux users who also have Windows installed - to check Windows files/folders for viruses.
    Well yes, but it doesnt have that many other uses.
    https://features.opensuse.org/308357

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Bitdefender Installation eror

    Anti-virus applications can be useful for Linux users who also have Windows installed - to check Windows files/folders for viruses.
    You don't say
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Aug 2008
    Location
    /Linux/Userland
    Posts
    279

    Default Re: Bitdefender Installation eror

    Quote Originally Posted by caf4926 View Post
    You don't say:)

    I don't say, but do have a read here:

    Linux malware - Wikipedia, the free encyclopedia
    http://www.geekzone.co.nz/foobar/6229
    The virus threat to Linux (dated from 2003)

    OP would get some additional AV's for Linux from the first link.
    Linux User 483705 @ http://counter.li.org/

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Bitdefender Installation eror

    Indeed. IMO mostly a load of FUD
    And it plays on user ignorance and incompetence. (see image posted earlier)
    ==================================

    Your most likely issue is rootkit exploits.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •